<!doctype html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <meta name="generator" content="pandoc" />
  <meta name="date" content="2020-07-01" />
  <title>Gnome Challenge Proposal</title>
  <style type="text/css">code{white-space: pre;}</style>
  <link rel="stylesheet" href="../css/post.css" />
</head>
<body>
    <div class="navbar navbar-static-top">
    <div class="navbar-inner">
      <div class="container">
        <span class="doc-title">Gnome Challenge Proposal</span>
        <ul class="nav pull-right doc-info">
                              <li><p class="navbar-text">2020-07-01</p></li>
                  </ul>
      </div>
    </div>
  </div>
    <div class="container">
    <div class="row">
            <div id="TOC" class="span3">
        <div class="well toc">
        <ul>
          <li class="nav-header">Table of Contents</li>
        </ul>
        <ul>
        <li><a href="#our-idea">1 Our Idea</a><ul>
        <li><a href="#what-is-the-working-name-of-your-project">1.1 What is the working name of your project?</a></li>
        <li><a href="#tell-us-in-200-words-or-less-about-your-idea.-feel-free-to-include-key-features-unique-elements-how-it-will-meet-challenge-goals-etc.">1.2 Tell us in 200 words or less about your idea. (Feel free to include key features, unique elements, how it will meet challenge goals, etc.)</a></li>
        </ul></li>
        <li><a href="#project-details">2 Project Details</a><ul>
        <li><a href="#how-does-your-entry-introduce-the-foss-community-to-beginning-coders">2.1 How does your entry introduce the FOSS community to beginning coders?</a></li>
        <li><a href="#as-part-of-this-challenge-we-seek-ideas-that-engage-diverse-populations-that-are-often-under-represented-in-the-coding-community.-will-your-submission-engage-members-of-this-audience">2.2 As part of this challenge we seek ideas that engage diverse populations that are often under-represented in the coding community. Will your submission engage members of this audience?</a></li>
        <li><a href="#introducing-coders-to-the-foss-community-is-important-but-engaging-and-retaining-them-within-the-community-is-also-crucial.-please-explain-how-your-project-will-engage-and-retain-users.">2.3 Introducing coders to the FOSS community is important, but engaging and retaining them within the community is also crucial. Please explain how your project will engage and retain users.</a></li>
        <li><a href="#how-will-your-projects-impact-will-be-measured">2.4 How will your project’s impact will be measured?</a></li>
        <li><a href="#what-did-we-miss-is-there-anything-you-want-to-add-about-your-submission">2.5 What did we miss? Is there anything you want to add about your submission?</a></li>
        <li><a href="#supplemental-materials-are-encouraged-but-not-required.-please-upload-at-most-5-files">2.6 Supplemental materials are encouraged but not required. Please upload at most 5 files</a></li>
        </ul></li>
        <li><a href="#our-team">3 Our Team</a><ul>
        <li><a href="#about-us">3.1 About Us</a></li>
        <li><a href="#are-you-working-with-a-team">3.2 Are you working with a team?</a></li>
        <li><a href="#we-would-like-to-know-more-about-youyour-teams-background-and-experiences.-feel-free-to-share-relevant-skills-examples-of-past-projects-hobbies-and-other-interests.">3.3 We would like to know more about you/your team’s background and experiences. Feel free to share relevant skills, examples of past projects, hobbies and other interests.</a></li>
        <li><a href="#documentation-and-record-keeping-are-key-parts-of-staying-organized.-explain-how-youll-document-your-work-so-that-others-may-contribute-to-future-iterations.">3.4 Documentation and record keeping are key parts of staying organized. Explain how you’ll document your work so that others may contribute to future iterations.</a></li>
        <li><a href="#how-did-you-learn-about-the-challenge">3.5 How did you learn about the challenge?</a></li>
        <li><a href="#within-your-team-how-will-the-roles-and-responsibilities-between-the-members-of-your-team-be-allocated-please-skip-if-you-are-working-individually">3.6 Within your team, how will the roles and responsibilities between the members of your team be allocated? (please skip if you are working individually)</a></li>
        </ul></li>
        </ul>
        </div>
      </div>
            <div class="span9">
            <h1 id="our-idea">1 Our Idea</h1>
<h2 id="what-is-the-working-name-of-your-project">1.1 What is the working name of your project?</h2>
<p>estoff.cc</p>
<h2 id="tell-us-in-200-words-or-less-about-your-idea.-feel-free-to-include-key-features-unique-elements-how-it-will-meet-challenge-goals-etc.">1.2 Tell us in 200 words or less about your idea. (Feel free to include key features, unique elements, how it will meet challenge goals, etc.)</h2>
<p>estoff.cc aims to ease the deployment of research software for scientific computing using Free and Open Source Software (FOSS). It will provide images for deploying <a href="https://www.quantum-espresso.org/">Quantum Espresso</a> using <a href="https://docs.docker.com/compose/">Docker Compose</a>. This project is intended to align with several of the goals outlined in the <a href="https://www.quantum-espresso.org/resources/road-map">Quantum Espresso development roadmap</a>, such as <strong>Improve build mechanism</strong>, <strong>Improve packaging</strong>, and <strong>Tools for verification</strong>. Listed in the table below is the software used in our stack with links to source and license information.</p>
<table>
<thead>
<tr class="header">
<th>Title</th>
<th>Source</th>
<th>License</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>Certbot</td>
<td><a href="https://github.com/certbot/certbot" class="uri">https://github.com/certbot/certbot</a></td>
<td><a href="https://github.com/certbot/certbot/blob/master/LICENSE.txt">Apache License 2.0</a></td>
</tr>
<tr class="even">
<td>Docker Compose</td>
<td><a href="https://github.com/docker/compose" class="uri">https://github.com/docker/compose</a></td>
<td><a href="https://github.com/docker/compose/blob/master/LICENSE">Apache License 2.0</a></td>
</tr>
<tr class="odd">
<td>GitLab</td>
<td><a href="https://gitlab.com/gitlab-org/gitlab" class="uri">https://gitlab.com/gitlab-org/gitlab</a></td>
<td><a href="https://gitlab.com/gitlab-org/gitlab/-/blob/master/LICENSE">GitLab</a></td>
</tr>
<tr class="even">
<td>GitLab Runner</td>
<td><a href="https://gitlab.com/gitlab-org/gitlab-runner" class="uri">https://gitlab.com/gitlab-org/gitlab-runner</a></td>
<td><a href="https://gitlab.com/gitlab-org/gitlab-runner/-/blob/master/LICENSE">MIT</a></td>
</tr>
<tr class="odd">
<td>HAProxy</td>
<td><a href="https://git.haproxy.org/" class="uri">https://git.haproxy.org/</a></td>
<td><a href="https://git.haproxy.org/?p=haproxy.git;a=blob;f=LICENSE;h=717e303580be3f01d45793517ee1c3b5ea937f42;hb=HEAD">HAProxy</a></td>
</tr>
</tbody>
</table>
<h1 id="project-details">2 Project Details</h1>
<h2 id="how-does-your-entry-introduce-the-foss-community-to-beginning-coders">2.1 How does your entry introduce the FOSS community to beginning coders?</h2>
<p>This project indends to introduce a FOSS software stack to scientific programmers, many of whom are beginning coders.</p>
<h2 id="as-part-of-this-challenge-we-seek-ideas-that-engage-diverse-populations-that-are-often-under-represented-in-the-coding-community.-will-your-submission-engage-members-of-this-audience">2.2 As part of this challenge we seek ideas that engage diverse populations that are often under-represented in the coding community. Will your submission engage members of this audience?</h2>
<p>estoff.cc hopes to make deploying software easier for those with limited resources. Enabling the use of a cloud platform allows developers to scale their infrastructure as they gain resources to do so. We are doing this with a focus on easily deploying the software locally as well to self-host the software.</p>
<h2 id="introducing-coders-to-the-foss-community-is-important-but-engaging-and-retaining-them-within-the-community-is-also-crucial.-please-explain-how-your-project-will-engage-and-retain-users.">2.3 Introducing coders to the FOSS community is important, but engaging and retaining them within the community is also crucial. Please explain how your project will engage and retain users.</h2>
<p>Denzel will start contributing with GitLab and learn Git.</p>
<h2 id="how-will-your-projects-impact-will-be-measured">2.4 How will your project’s impact will be measured?</h2>
<p>Site traffic should give us a rough idea of the exposure of some of the ideas we would like to spread about FOSS in the scientific community.</p>
<h2 id="what-did-we-miss-is-there-anything-you-want-to-add-about-your-submission">2.5 What did we miss? Is there anything you want to add about your submission?</h2>
<p>This is a part of our larger ambition to introduce the scientific community to FOSS and DevOps.</p>
<h2 id="supplemental-materials-are-encouraged-but-not-required.-please-upload-at-most-5-files">2.6 Supplemental materials are encouraged but not required. Please upload at most 5 files</h2>
<p>Some ideas:</p>
<ul>
<li>blog-post-weston</li>
<li>blog-post-denzel</li>
<li>Denzel’s proposal</li>
<li>docker-compose.yml</li>
<li>haproxy.cfg</li>
</ul>
<h1 id="our-team">3 Our Team</h1>
<h2 id="about-us">3.1 About Us</h2>
<ul>
<li><p>Weston Odend’hal<br />
wodend@tuta.io<br />
415-672-7969<br />
United States<br />
FOSS contributor.</p></li>
<li><p>Denzel Ayala<br />
denzel.ayala1@gmail.com<br />
United States<br />
<!---Phone number--> <!---Describe your experience with the FOSS community (no experience necessary)--> FOSS community member.</p></li>
</ul>
<h2 id="are-you-working-with-a-team">3.2 Are you working with a team?</h2>
<p>The team consists of Denzel and Weston. We can be found on GitLab: <a href="https://gitlab.com/estoff.cc">estoff.cc</a>.</p>
<h2 id="we-would-like-to-know-more-about-youyour-teams-background-and-experiences.-feel-free-to-share-relevant-skills-examples-of-past-projects-hobbies-and-other-interests.">3.3 We would like to know more about you/your team’s background and experiences. Feel free to share relevant skills, examples of past projects, hobbies and other interests.</h2>
<p>Weston is interested in security, DevOps, software development. It was a joy for him to set up a site using some of the latest best practices from industry.</p>
<h2 id="documentation-and-record-keeping-are-key-parts-of-staying-organized.-explain-how-youll-document-your-work-so-that-others-may-contribute-to-future-iterations.">3.4 Documentation and record keeping are key parts of staying organized. Explain how you’ll document your work so that others may contribute to future iterations.</h2>
<p>We plan on providing detailed tutorials and blog posts about all of the development activities on estoff.cc.</p>
<h2 id="how-did-you-learn-about-the-challenge">3.5 How did you learn about the challenge?</h2>
<p>The Linux for Everyone podcast.</p>
<h2 id="within-your-team-how-will-the-roles-and-responsibilities-between-the-members-of-your-team-be-allocated-please-skip-if-you-are-working-individually">3.6 Within your team, how will the roles and responsibilities between the members of your team be allocated? (please skip if you are working individually)</h2>
<ul>
<li>Denzel - Chemistry, physics, mathematics, programming</li>
<li>Weston - Networking, security, DevOps, programming</li>
</ul>
            </div>
    </div>
  </div>
</body>
</html>
